Bug 119659 - LOOKUP function >> application crashes, if "Result vector" argument is array of constant with at least 1 empty cell, and search value is out of vector
Summary: LOOKUP function >> application crashes, if "Result vector" argument is array ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Function-Vlookup
  Show dependency treegraph
 
Reported: 2018-09-03 09:52 UTC by Andrey
Modified: 2020-12-29 03:43 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
lookup function crash (97.78 KB, image/jpeg)
2018-09-05 17:27 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey 2018-09-03 09:52:26 UTC
Description:
multi_type_vector::get_type#1625: block position not found!
(logical pos=2, block size=2, lofical size=2)

Steps to Reproduce:
1. Run LibreOffice calc
2. Fill A1:C1 cells with following values: A1=1, B1=2, C1=3
3. Enter following formulas to A2 cell:
=LOOKUP(3, A1:C1, {,2})
or
=LOOKUP(3, A1:C1, {1,})

Actual Results:
Application crashes

Expected Results:
Application should not crash, #N/A error should be displayed


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Build ID: dc68ad6c5cde3c62874b96422f2e5e8252499bad
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: CL
Comment 1 Regis Perdreau 2018-09-03 11:01:58 UTC
Guess I have to replace ',' with ';' so i can enter
=LOOKUP(3 ;A1:C1; {;2} )

No result. The A2 cell is blank, no error message.

The help tells that the third parameter is a range of cell. What is exactly expected with {,2} ? 


Version: 6.2.0.0.alpha0+
Build ID: 8854cf29682bc2f02fba1901f967c7a94bc706d5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded
Comment 2 Xisco Faulí 2018-09-03 13:55:17 UTC
I can't reproduce the crash

Versió: 6.0.6.2
ID de la construcció: 1:6.0.6-0ubuntu0.16.04.1
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

Versión: 6.1.0.3
Id. de compilación: efb621ed25068d70781dc026f7e9c5187a4decd1
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded

Version: 6.2.0.0.alpha0+
Build ID: 4b5fcd417587cfb9e6d8b61ecb037ab165eeb5b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

Could you please try with version 6.0.6.2 or 6.1.0.3 instead of 6.0.6.1 rc ?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 himajin100000 2018-09-04 05:15:03 UTC
Error Message and Crash Reproducible. Marking NEW

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-21_00:13:04
Locale: en-US (ja_JP); Calc: CL

I don't know how to get stacktrace thingy though .Someday in the future (but not soon due to my laziness) I will search for how to.
Comment 4 himajin100000 2018-09-04 05:30:10 UTC
more note: when I did the same thing on my local build,
after the error, I got assertion errors.
https://opengrok.libreoffice.org/xref/core/desktop/source/app/officeipcthread.cxx?r=9401c7c2#904
https://opengrok.libreoffice.org/xref/core/vcl/source/app/scheduler.cxx?r=3bd83167#605
Comment 5 himajin100000 2018-09-04 09:01:52 UTC
Reproducible

バージョン: 6.1.1.1 (x64)
Build ID: 2718b4a18dfcc6a54ebe5f7b801ee7a47fa81e0c
CPU threads: 4; OS:Windows 10.0; UI render: default; 
ロケール: ja-JP (ja_JP); Calc: CL
Comment 6 Xisco Faulí 2018-09-04 09:04:22 UTC
Hi himajin100000,
Do you reproduce it if you disable OpenCL ? Tools - Options - LibreOffice - Open CL
Comment 7 himajin100000 2018-09-04 09:11:48 UTC
Reproducible

バージョン: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 4; OS:Windows 10.0; UI render: default; 
ロケール: ja-JP (ja_JP); Calc: 

with OpenCL and Software Interpreter turned off

>Do you reproduce it if you disable OpenCL ? Tools - Options - LibreOffice - Open CL
Comment 8 himajin100000 2018-09-04 09:15:01 UTC
Note: I restarted LibreOffice after turning off OpenCL and saw if the issue can be reproduced.
Comment 9 Xisco Faulí 2018-09-04 09:20:46 UTC
Maybe it's only happening on Win 10?

I can't reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: a1dd8098e6e2a7d5ba4b9c1a2d094db11d3d6b27
CPU threads: 16; OS: Windows 6.3; UI render: default; 
Locale: en-GB (en_GB); Calc: threaded
Comment 10 himajin100000 2018-09-05 03:20:56 UTC
Reproducible on the same OS as my other posts.

バージョン: 5.4.7.2 (x64)
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Windows 6.19; UI render: default; 
ロケール: ja-JP (ja_JP); Calc: single
Comment 11 Oliver Brinzing 2018-09-05 17:27:09 UTC
Created attachment 144698 [details]
lookup function crash

i can reproduce if a dot "." is entered instead of a comma: {0.2}
please have a look at the attachment

German Separator settings are:
Function:       ;
Array column:   .
Array row:      ;

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 6c08039ebec28b936dd4521139c9670f7fadf9f4
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: threaded
Comment 12 Xisco Faulí 2018-09-06 13:36:15 UTC
Confirmed in

Version: 6.2.0.0.alpha0+
Build ID: f8edef392245c292398a80f6a858ca19f32df9c3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

using

=LOOKUP(3; A1:C1; {.2})
Comment 13 Xisco Faulí 2018-09-06 13:42:26 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 14 Xisco Faulí 2018-09-06 13:44:03 UTC
@Eike, I thought you could be interested in this issue....
Comment 15 QA Administrators 2020-12-29 03:43:47 UTC
Dear Andrey,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug